> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tag details

> Retrieves detailed information about a specific tag including:
- ID
- Name
- Author (enriched from user database)
- Creation time
- Associated commit ID
- Description

**Requirements:**
Requires READ access to the repository.

**Returns:**
- `404 Not Found` if the tag doesn't exist or has been deleted




## OpenAPI

````yaml get /repos/{repo_id}/tags/{tag_id}
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /repos/{repo_id}/tags/{tag_id}:
    parameters:
      - $ref: '#/components/parameters/RepoParam'
      - $ref: '#/components/parameters/TagParam'
    get:
      tags:
        - Repository Tag Manipulation
      summary: Get tag details
      operationId: src.handlersv2.tag.get
      responses:
        '200':
          description: Tag details returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Tag'
        default:
          $ref: '#/components/responses/Error'
      security:
        - OAuth2:
            - coreapi/read
        - OAuth2:
            - coreapi/write
components:
  parameters:
    RepoParam:
      in: path
      name: repo_id
      required: true
      schema:
        type: string
        example: example_id
        minLength: 3
        maxLength: 128
      description: >-
        The repo ID of the repository. Repo _name_ can be used instead of the
        ID, but usage of ID for permanent linking and API requests is preferred.
    TagParam:
      in: path
      name: tag_id
      description: Tag identifier
      schema:
        type: string
        example: dv.tag.12a37e91-bfc4-4e03-a330-13b5b84ab7cb
        minLength: 3
        maxLength: 128
      required: true
  schemas:
    Tag:
      allOf:
        - $ref: '#/components/schemas/CreateTag'
        - type: object
          properties:
            id:
              description: Tag identifier in Diversion
              type: string
            author:
              $ref: '#/components/schemas/User'
            time:
              description: Creation time
              type: number
              format: int64
          required:
            - id
            - author
            - time
    CreateTag:
      type: object
      properties:
        name:
          description: Display name of the tag
          type: string
        commit_id:
          description: Commit ID that the tag references
          type: string
        description:
          description: More information about the tag
          type: string
      required:
        - name
        - commit_id
    User:
      description: User details
      type: object
      properties:
        image:
          type: string
          description: URL of the user image
        email:
          type: string
          format: email
        full_name:
          type: string
        id:
          type: string
        name:
          type: string
      required:
        - id
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
          example: 403
        detail:
          type: string
          example: User not authorized to perform the requested action on the resource
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
  responses:
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````